# Redis configuration file example.

protected-mode no
port 6379
tcp-backlog 511

timeout 0
tcp-keepalive 300

daemonize yes
supervised no
pidfile /run/redis/redis.pid

# debug, verbose, notice, warning
loglevel notice

syslog-enabled yes
syslog-ident redis
syslog-facility local0

databases 16

# <seconds>i && <changes>
save 900 1
save 300 10
save 60 10000

stop-writes-on-bgsave-error yes
rdbcompression yes
rdbchecksum yes
dbfilename dump.rdb

dir /var/lib/redis/

slave-serve-stale-data yes
slave-read-only yes

repl-diskless-sync no
repl-diskless-sync-delay 5
repl-disable-tcp-nodelay no
slave-priority 100

requirepass {{ redisConfig['password'] | default('password') }}

# maxclients 10000

maxmemory 67108864

appendonly no
appendfilename "appendonly.aof"

# everysync, always, no
appendfsync everysec

no-appendfsync-on-rewrite no
auto-aof-rewrite-percentage 100
auto-aof-rewrite-min-size 64mb
aof-load-truncated yes

lua-time-limit 5000

slowlog-log-slower-than 10000
slowlog-max-len 128

latency-monitor-threshold 0

notify-keyspace-events ""

hash-max-ziplist-entries 512
hash-max-ziplist-value 64

list-max-ziplist-size -2
list-compress-depth 0

set-max-intset-entries 512

zset-max-ziplist-entries 128
zset-max-ziplist-value 64

hll-sparse-max-bytes 3000

activerehashing yes

client-output-buffer-limit normal 0 0 0
client-output-buffer-limit slave 256mb 64mb 60
client-output-buffer-limit pubsub 32mb 8mb 60

hz 10

aof-rewrite-incremental-fsync yes
